<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/link_unsnap_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>02/07/84  link_unsnap_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in link_unsnap_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: link_unsnap_: 02/07/84  link_unsnap_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>Function: restores snapped links pointing to a given segment or its
<span id="L11" class="LineNr">11 </span>linkage section.  Such links then appear as if they had never been
<span id="L12" class="LineNr">12 </span>snapped <span class="textRainbow_lv0_p0">(</span>changed into ITS pairs<span class="textRainbow_lv0_p0">)</span>.  This is accomplished by
<span id="L13" class="LineNr">13 </span>sequentially indexing through the Linkage Offset Table <span class="textRainbow_lv0_p0">(</span>LOT<span class="textRainbow_lv0_p0">)</span> and for
<span id="L14" class="LineNr">14 </span>each linkage section listed there by searching for links to be
<span id="L15" class="LineNr">15 </span>restored.
<span id="L16" class="LineNr">16 </span>
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span>Syntax:
<span id="L19" class="LineNr">19 </span>declare link_unsnap_ entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>17<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L20" class="LineNr">20 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>17<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L21" class="LineNr">21 </span>call link_unsnap_ <span class="textRainbow_lv0_p0">(</span>lot_ptr<span class="textRainbow_lv0_o0">,</span> isot_ptr<span class="textRainbow_lv0_o0">,</span> linkage_ptr<span class="textRainbow_lv0_o0">,</span> hcsc<span class="textRainbow_lv0_o0">,</span> high_seg<span class="textRainbow_lv0_p0">)</span>;
<span id="L22" class="LineNr">22 </span>
<span id="L23" class="LineNr">23 </span>
<span id="L24" class="LineNr">24 </span>Arguments:
<span id="L25" class="LineNr">25 </span>lot_ptr
<span id="L26" class="LineNr">26 </span>   is a pointer to the LOT.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L27" class="LineNr">27 </span>isot_ptr
<span id="L28" class="LineNr">28 </span>   is a printer to the ISOT.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L29" class="LineNr">29 </span>linkage_ptr
<span id="L30" class="LineNr">30 </span>   is a pointer to the linkage section to be discarded.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L31" class="LineNr">31 </span>hscs
<span id="L32" class="LineNr">32 </span>   is one less than the segment number of the first segment that can be
<span id="L33" class="LineNr">33 </span>   unsnapped.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L34" class="LineNr">34 </span>high_seg
<span id="L35" class="LineNr">35 </span>   is the number of LOT slots used in searching for links to be
<span id="L36" class="LineNr">36 </span>   restored.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
